<!DOCTYPE html>
<html>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="style.css">
<head>
    <title>Studienteilnahme</title>
</head>
<body>
    <h2>
        Beispielaufgabe
    </h2>
    <p> Klicken Sie auf den folgenden Button um die Aufgabe zu starten. Sobald das Dokument sich öffnet
        beginnt ein 60 Sekunden Timer. Nach Ablauf der Zeit hören sie einen Benachrichtigungston. Bitte schließen sie dann
        den Tab und kehren hier hin zurück. Lassen sie diesen Tab einfach offen während sie die Aufgabe bearbeiten.
    <p>
    <div class="container">
        <audio src="announcementbell.wav" id="my_audio"></audio>
        <button onclick="timerpopup()">
            Hier geht's zur Beispielaufgabe
        </button>
    </div>
        <p>
            Bitte fülle jetzt den Fragebogen zur Beispielaufgabe aus!</br>
            Fertig mit dem Fragebogen? Dann geht es hier weiter zur nächsten Aufgabe. Bitte bestätigen Sie, dass der Fragebogen
            ausgefüllt wurde bevor sie weiter klicken können. Machen Sie hier gerne kurz Pause falls
            notwendig. Wenn Sie noch Fragen vor Beginn der Studie haben stellen sie diese bitte jetzt.
        </p>
    <div class="checkbox">
        <label for="terms_and_conditions">Ich habe den Frageoben ausgefüllt und keine weiteren Fragen:</label>
        <input type="checkbox" id="terms_and_conditions" value="1" onclick="terms_changed(this)" />
    </div>
    <div class="container">
        <button onclick=" window.open('Startseite.html','_self')">
            Zurück
        </button>
        <button type="submit" id="weiterbutton" disabled onclick=" window.open('page1.html','_self')">
            Bitte Fragebogen Bestätigen
        </button>
    </div>
</body>
</html>

<script>
    function timerpopup(){
        window.open('https://docs.google.com/document/d/16PTfN8xPlSqF_Gr6jXisQo-tsI9oTT5OapuFHlUV5oM/edit?usp=sharing','_blank');
        setTimeout(function(){document.getElementById("my_audio").play()},60000);
        
    }

    function terms_changed(termsCheckBox){
    //If the checkbox has been checked
    if(termsCheckBox.checked){
        //Set the disabled property to FALSE and enable the button.
        document.getElementById("weiterbutton").disabled = false;
        document.getElementById("weiterbutton").innerHTML ="Weiter";
        document.getElementById("weiterbutton").color = "grey";
    } else{
        //Otherwise, disable the submit button.
        document.getElementById("weiterbutton").disabled = true;
        document.getElementById("weiterbutton").innerHTML ="Bitte Fragebogen Bestätigen";
    }
}
</script>